Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#331 Relative path names support in *.jmp files needed

Linux / Unix
closed-fixed
Matthias Hinz
None
5
2013-11-10
2013-08-27
David Tonhofer
No

The file names of .jml files in .jmp files is absolute.

This precludes any portability between machines and user accounts.

Suggestion to set them to relative to the *.jmp file itself.

Related

Bugs: #331

Discussion

  • ede
    ede
    2013-08-27

    it depends on the users workflow i guess.

    if data files are usually kept below the project file in terms of path hierarchy that'd work.
    if not relative paths would obstruct finding the data after the project file was moved.

    additionally we have the issue of Windows assigning drive characters at will, so even pseudo absolute paths might change if a data drive e.g. is reattached via usb.

    i'll forward this to the user list: anybody wanna chime in?

    ..ede

    On 27.08.2013 11:05, David Tonhofer wrote:


    [bugs:#331] Relative path names support in *.jmp files needed

    Status: open
    Created: Tue Aug 27, 2013 09:05 AM UTC by David Tonhofer
    Last Updated: Tue Aug 27, 2013 09:05 AM UTC
    Owner: nobody

    The file names of .jml files in .jmp files is absolute.

    This precludes any portability between machines and user accounts.

    Suggestion to set them to relative to the *.jmp file itself.

     

    Related

    Bugs: #331

  • mentaer
    mentaer
    2013-08-27

    Hi,

    well for the project files, yes the path is absolute. However, if the first file referenced is not found - on first load, then OpenJUMP will ask for the location of the file, by opening a file dialog (see the text of that dialog title for the file name). If you click on your file and the other files are in the same relative structure as before, then OpenJUMP can already discover the other files that have been moved, etc.
    So if you file storage pattern is the same, then this issue is solved already.

     
  • ede
    ede
    2013-08-27

    this is my suggestion on the devel list:

    why not simply use relative paths when
    - data files are located in a folder below the project file
    as it already saves unsaved layers to by default on "Save Project"?
    in all other cases stick with absolutism ..

    this way the relocate dialog wouldn't pop up if the whole folder structure was moved, but still when only the project file was moved.

    ..ede

     
  • Andrew Libby
    Andrew Libby
    2013-08-28

    I'm encountering issues with this aspect of OpenJump also. Love the tool and am using it as a part of a software project where I create test cases and have the layers saved as shape files. My test cases use the shapes and execute shapes. We check the project and shape files into source control. For this reason it'd be very attractive to have relative asset paths supported. Then perhaps fall back to to prompting?

     
  • ede
    ede
    2013-08-28

    On 28.08.2013 17:12, Andrew Libby wrote:

    I'm encountering issues with this aspect of OpenJump also. Love the tool and am using it as a part of a software project where I create test cases and have the layers saved as shape files. My test cases use the shapes and execute shapes. We check the project and shape files into source control. For this reason it'd be very attractive to have relative asset paths supported. Then perhaps fall back to to prompting?

    do you maybe want to add anything to my suggestion above? ..ede

     
  • Matthias Hinz
    Matthias Hinz
    2013-09-07

    • assigned_to: Matthias Hinz
     
    • status: open --> closed-fixed
     
  • Patch sent by Matthias Hinz and committed by Stefan,
    I close the ticket